Debian Bug report logs - #473204
libmhash-dev: pollutes autotools namespace

version graph

Package: libmhash-dev; Maintainer for libmhash-dev is Chris Hanson <cph@debian.org>; Source for libmhash-dev is src:mhash.

Reported by: Octavio Alvarez <alvarezp@alvarezp.ods.org>

Date: Sat, 29 Mar 2008 09:30:01 UTC

Severity: normal

Tags: patch

Found in version mhash/0.9.9-1

Fixed in version mhash/0.9.9.9-1

Done: Chris Hanson <cph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#473204; Package libmhash-dev. Full text and rfc822 format available.

Acknowledgement sent to Octavio Alvarez <alvarezp@alvarezp.ods.org>:
New Bug report received and forwarded. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Octavio Alvarez <alvarezp@alvarezp.ods.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmhash-dev: pollutes autotools namespace
Date: Sat, 29 Mar 2008 01:27:29 -0800
[Message part 1 (text/plain, inline)]
Package: libmhash-dev
Version: 0.9.9-1
Severity: normal
Tags: patch


When compiling an application that uses includes <mhash.h> and uses
autotools, it gives the following mhash-related warnings:

In file included from audiosum.c:30:
.../config.h:41:1: warning: "PACKAGE" redefined
In file included from /usr/include/mutils/mhash.h:29,
                 from /usr/include/mhash.h:10,
                 from audiosum.c:28:
/usr/include/mutils/mhash_config.h:186:1: warning: this is the location of the previous definition
In file included from audiosum.c:30:
.../config.h:44:1: warning: "PACKAGE_BUGREPORT" redefined
In file included from /usr/include/mutils/mhash.h:29,
                 from /usr/include/mhash.h:10,
                 from audiosum.c:28:
/usr/include/mutils/mhash_config.h:189:1: warning: this is the location of the previous definition
In file included from audiosum.c:30:
.../config.h:47:1: warning: "PACKAGE_NAME" redefined
In file included from /usr/include/mutils/mhash.h:29,
                 from /usr/include/mhash.h:10,
                 from audiosum.c:28:
/usr/include/mutils/mhash_config.h:192:1: warning: this is the location of the previous definition
In file included from audiosum.c:30:
.../config.h:50:1: warning: "PACKAGE_STRING" redefined
In file included from /usr/include/mutils/mhash.h:29,
                 from /usr/include/mhash.h:10,
                 from audiosum.c:28:
/usr/include/mutils/mhash_config.h:195:1: warning: this is the location of the previous definition
In file included from audiosum.c:30:
.../config.h:53:1: warning: "PACKAGE_TARNAME" redefined
In file included from /usr/include/mutils/mhash.h:29,
                 from /usr/include/mhash.h:10,
                 from audiosum.c:28:
/usr/include/mutils/mhash_config.h:198:1: warning: this is the location of the previous definition
In file included from audiosum.c:30:
.../config.h:56:1: warning: "PACKAGE_VERSION" redefined
In file included from /usr/include/mutils/mhash.h:29,
                 from /usr/include/mhash.h:10,
                 from audiosum.c:28:
/usr/include/mutils/mhash_config.h:201:1: warning: this is the location of the previous definition


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libmhash-dev depends on:
ii  libc6-dev                     2.7-9      GNU C Library: Development Librari
ii  libmhash2                     0.9.9-1    Library for cryptographic hashing 

libmhash-dev recommends no packages.

-- no debconf information
[config-h.diff (text/plain, attachment)]

Reply sent to Chris Hanson <cph@debian.org>:
You have taken responsibility. (Wed, 02 Dec 2009 11:27:10 GMT) Full text and rfc822 format available.

Notification sent to Octavio Alvarez <alvarezp@alvarezp.ods.org>:
Bug acknowledged by developer. (Wed, 02 Dec 2009 11:27:10 GMT) Full text and rfc822 format available.

Message #10 received at 473204-close@bugs.debian.org (full text, mbox):

From: Chris Hanson <cph@debian.org>
To: 473204-close@bugs.debian.org
Subject: Bug#473204: fixed in mhash 0.9.9.9-1
Date: Wed, 02 Dec 2009 11:22:04 +0000
Source: mhash
Source-Version: 0.9.9.9-1

We believe that the bug you reported is fixed in the latest version of
mhash, which is due to be installed in the Debian FTP archive:

libmhash-dev_0.9.9.9-1_i386.deb
  to main/m/mhash/libmhash-dev_0.9.9.9-1_i386.deb
libmhash2_0.9.9.9-1_i386.deb
  to main/m/mhash/libmhash2_0.9.9.9-1_i386.deb
mhash_0.9.9.9-1.diff.gz
  to main/m/mhash/mhash_0.9.9.9-1.diff.gz
mhash_0.9.9.9-1.dsc
  to main/m/mhash/mhash_0.9.9.9-1.dsc
mhash_0.9.9.9.orig.tar.gz
  to main/m/mhash/mhash_0.9.9.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473204@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Hanson <cph@debian.org> (supplier of updated mhash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Dec 2009 02:56:36 -0800
Source: mhash
Binary: libmhash2 libmhash-dev
Architecture: source i386
Version: 0.9.9.9-1
Distribution: unstable
Urgency: low
Maintainer: Chris Hanson <cph@debian.org>
Changed-By: Chris Hanson <cph@debian.org>
Description: 
 libmhash-dev - Library for cryptographic hashing and message authentication
 libmhash2  - Library for cryptographic hashing and message authentication
Closes: 354206 473204
Changes: 
 mhash (0.9.9.9-1) unstable; urgency=low
 .
   * New upstream version.
   * include/mutils/mhash_config.h.in: Remove PACKAGE_ variables from
     include file.  (closes: Bug#473204)
   * include/mutils/mhash.h: Manually patch mhash_get_hash_name to return
     "char *".  (closes: Bug#354206)
   * debian/control: Bump standards-version to 3.8.3 (no changes).
   * Remove unused maintainer scripts.
   * debian/control, debian/compat: Use debhelper version 5.
Checksums-Sha1: 
 4446b3847926d060663de86fc03cb73d65afca49 973 mhash_0.9.9.9-1.dsc
 81231a1fe6334e5eac44fac9b1994c4133af4bec 577533 mhash_0.9.9.9.orig.tar.gz
 e686c5ed4f4369987aaab5c1421240f6c82aeb58 5933 mhash_0.9.9.9-1.diff.gz
 a000e3017a89ba5d0151fff499841f12c4ece7fc 124422 libmhash2_0.9.9.9-1_i386.deb
 db32eaa632567f8d0950f25205d4fb9ea7fa1fef 137532 libmhash-dev_0.9.9.9-1_i386.deb
Checksums-Sha256: 
 8ef0804fcbc3ad44ad67d117b125fe473acee044be3931ba91be2e29a8b08c18 973 mhash_0.9.9.9-1.dsc
 73991e9e54bb392484a510943d4c5d395462181cc4abe53f863edec13c335403 577533 mhash_0.9.9.9.orig.tar.gz
 fe7079752cf9099ce229b1703e6088774ceb2f085879b394497cd1b7ad494867 5933 mhash_0.9.9.9-1.diff.gz
 6aeb4fd91117c73df57acb282a7a4bd25bf4c6d257174e7a87fc365a812b4358 124422 libmhash2_0.9.9.9-1_i386.deb
 6b7cdc66bee2d637448c3bd0e1f931b639f88b98c13d5dcb8d092d77f2b44050 137532 libmhash-dev_0.9.9.9-1_i386.deb
Files: 
 ecaec1eb0b3338ba0cd2a3b1cef95898 973 libs optional mhash_0.9.9.9-1.dsc
 1e957f3f568dd8fcf425f38f7f39c8b0 577533 libs optional mhash_0.9.9.9.orig.tar.gz
 fd316f0d39adf191df90b6e3d6c238a8 5933 libs optional mhash_0.9.9.9-1.diff.gz
 66e7951688dc111c3d356f3b74cc2e74 124422 libs optional libmhash2_0.9.9.9-1_i386.deb
 6fc6b0c617f7173b83492cbe1d5b1e68 137532 libdevel optional libmhash-dev_0.9.9.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksWSQ8ACgkQ46qC2Bs1LAGXRACeKG1sBbVYlr3HCynAOaThljXx
PB4An1oMMLp2Zs9vmvekExUF4apFmxbZ
=Mo+t
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jan 2010 07:30:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:32:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.